'use strict';

var PropTypes = require('prop-types');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);

var ListItemPropTypes = {
  children: PropTypes__default.default.arrayOf(PropTypes__default.default.object),
  content: PropTypes__default.default.shape({
    icon: PropTypes__default.default.node,
    rowActions: PropTypes__default.default.oneOfType([PropTypes__default.default.arrayOf(PropTypes__default.default.node), PropTypes__default.default.func]),
    secondaryValue: PropTypes__default.default.oneOfType([PropTypes__default.default.string, PropTypes__default.default.func, PropTypes__default.default.shape({
      value: PropTypes__default.default.func,
      label: PropTypes__default.default.string
    })]),
    /** The nodes should be Carbon Tags components */
    tags: PropTypes__default.default.arrayOf(PropTypes__default.default.node),
    value: PropTypes__default.default.string,
    title: PropTypes__default.default.string
  }),
  /** boolean to define load more row is needed */
  hasLoadMore: PropTypes__default.default.bool,
  id: PropTypes__default.default.string,
  isCategory: PropTypes__default.default.bool,
  isSelectable: PropTypes__default.default.bool
};

exports.ListItemPropTypes = ListItemPropTypes;
